Skip to main content
Monitoring & Collection/Monitoring Query & Overview

GetTopResources

List the top-consuming resources for a given product type

GET/api/v1/monitoring/products/{productType}/top-resources

Operation ID

GetTopResources

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Path Parameters

  • productType
    StringRequired

    Product type to query (e.g. vm, host, storage)

Query Parameters

  • platformUuid
    String

    UUID of the target platform UUID of the target platform

  • limit
    Integer

    Maximum number of top resources to return Maximum number of top resources to return

    Example: 0

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • items
    List

    Collection of result items

    Example: (nested array)

    • uuid
      String

      Unique identifier of the resource

      Example: vm-xyz-001

    • name
      String

      Display name of the resource

      Example: web-server-01

    • resourceType
      String

      Type of the resource (e.g. vm, host, volume)

      Example: vm

    • metricName
      String

      Metric name used for ranking

      Example: cpu_usage_percent

    • value
      Long

      Metric value for this resource

      Example: 87.3

    • unit
      String

      Unit of the metric value

      Example: %